Bug 142964 - CAN-2004-1144 x86-64 privilege escalation
CAN-2004-1144 x86-64 privilege escalation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
impact=important,embargoed=20041222:12
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 09:16 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 15:48:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-15 09:16:38 EST
Petr Vandrovec found a exploitable root hole in all 2.4 x86-64 kernels
that have 32bit emulation enabled.  The bug does not appear in 2.6
because some rewrites in 2.5 timeframe fixed it as a side effect.

This issue does not affect RHEL2.1
Comment 1 Josh Bressers 2004-12-15 09:17:51 EST
Patch for this issue

--- linux-2.4.28/arch/x86_64/ia32/ia32entry.S.orig      2004-08-08
01:26:04.000000000 +0200
+++ linux-2.4.28/arch/x86_64/ia32/ia32entry.S   2004-12-06
21:36:06.000000000 +0100
@@ -52,6 +52,7 @@
 ENTRY(ia32_syscall)
        swapgs
        sti
+       mov %eax,%eax
        pushq %rax
        cld
        SAVE_ARGS
Comment 2 Mark J. Cox (Product Security) 2004-12-16 05:58:00 EST
Embargo moved by SUSE to Dec22nd 12GMT
Comment 3 Ernie Petrides 2004-12-20 18:43:34 EST
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.1.EL).
Comment 4 Mark J. Cox (Product Security) 2004-12-22 08:30:27 EST
Embargo date and time reached; removing embargo.
Comment 5 Ernie Petrides 2004-12-22 16:57:03 EST
A fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.4.EL).
Comment 6 Josh Bressers 2004-12-23 15:48:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-689.html

Note You need to log in before you can comment on or make changes to this bug.